> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create bare metal GPU cluster

> Create a new GPU cluster with specified configuration.
The cluster can be created with one or more nodes.
Please use the `/v3/gpu/baremetal/{project_id}/{region_id}/clusters` endpoint instead.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml post /cloud/v1/ai/clusters/gpu/{project_id}/{region_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/ai/clusters/gpu/{project_id}/{region_id}:
    post:
      tags:
        - GPU Bare Metal
      summary: Create bare metal GPU cluster
      description: >-
        Create a new GPU cluster with specified configuration.

        The cluster can be created with one or more nodes.

        Please use the `/v3/gpu/baremetal/{project_id}/{region_id}/clusters`
        endpoint instead.
      operationId: AIClustersGPUHandler.post
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAIClusterGPUSerializer'
      responses:
        '200':
          description: created tasks for cluster creation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIDsSerializer'
        '400':
          description: Invalid parameter in request
        '404':
          description: Keypair or other mandatory resource was not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundErrorSchema'
      deprecated: true
components:
  schemas:
    CreateAIClusterGPUSerializer:
      properties:
        flavor:
          description: Flavor name
          example: bm3-ai-1xlarge-h100-80-8
          examples:
            - bm3-ai-1xlarge-h100-80-8
          title: Flavor
          type: string
        image_id:
          description: Image ID
          example: f01fd9a0-9548-48ba-82dc-a8c8b2d6f2f1
          examples:
            - f01fd9a0-9548-48ba-82dc-a8c8b2d6f2f1
          format: uuid4
          title: Image Id
          type: string
        instances_count:
          default: 1
          description: Number of servers to create
          example: 1
          examples:
            - 1
          minimum: 1
          title: Instances Count
          type: integer
        interfaces:
          description: >-
            A list of network interfaces for the server. You can create one or
            more interfaces - private, public, or both.
          example:
            - network_id: 024a29e9-b4b7-4c91-9a46-505be123d9f8
              subnet_id: 91200a6c-07e0-42aa-98da-32d1f6545ae7
              type: subnet
          examples:
            - - network_id: 024a29e9-b4b7-4c91-9a46-505be123d9f8
                subnet_id: 91200a6c-07e0-42aa-98da-32d1f6545ae7
                type: subnet
          items:
            $ref: '#/components/schemas/CreateGPUClusterInterfaceSerializer'
          minItems: 1
          title: Interfaces
          type: array
        name:
          description: GPU Cluster name
          example: my-gpu-cluster
          examples:
            - my-gpu-cluster
          pattern: ^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,61}[a-zA-Z0-9._]$
          title: Name
          type: string
        password:
          description: >-
            A password for a bare metal server. This parameter is used to set a
            password for the "Admin" user on a Windows instance, a default user
            or a new user on a Linux instance
          title: Password
          type: string
        security_groups:
          description: >-
            List of security group UUIDs. If omitted or an empty list, the
            default security group will be used.
          items:
            $ref: '#/components/schemas/MandatoryIdSerializerPydantic'
          title: Security Groups
          type: array
        ssh_key_name:
          description: >-
            Specifies the name of the SSH keypair, created via the

            [/v1/`ssh_keys`
            endpoint](/docs/api-reference/cloud/ssh-keys/add-or-generate-ssh-key).
          example: my-ssh-key
          examples:
            - my-ssh-key
          title: Ssh Key Name
          type: string
        tags:
          $ref: '#/components/schemas/CreateTagsSerializer'
          description: >-
            Key-value tags to associate with the resource. A tag is a key-value
            pair that can be associated with a resource, enabling efficient
            filtering and grouping for better organization and management. Both
            tag keys and values have a maximum length of 255 characters. Some
            tags are read-only and cannot be modified by the user. Tags are also
            integrated with cost reports, allowing cost data to be filtered
            based on tag keys or values.
          examples:
            - my-tag: my-tag-value
        user_data:
          description: >-
            String in base64 format. Must not be passed together with 'username'
            or 'password'. Examples of the `user_data`:
            https://cloudinit.readthedocs.io/en/latest/topics/examples.html
          title: User Data
          type: string
        username:
          description: >-
            A name of a new user in the Linux instance. It may be passed with a
            'password' parameter
          title: Username
          type: string
      required:
        - name
        - flavor
        - image_id
        - interfaces
      title: CreateAIClusterGPUSerializer
      type: object
    TaskIDsSerializer:
      properties:
        tasks:
          description: >-
            List of task IDs representing asynchronous operations. Use these IDs
            to monitor operation progress:

            - `GET /v1/tasks/{task_id}` - Check individual task status and
            details

            Poll task status until completion (`FINISHED`/`ERROR`) before
            proceeding with dependent operations.
          example:
            - d478ae29-dedc-4869-82f0-96104425f565
          examples:
            - - d478ae29-dedc-4869-82f0-96104425f565
          items:
            type: string
          title: Tasks
          type: array
      required:
        - tasks
      title: TaskIDsSerializer
      type: object
    NotFoundErrorSchema:
      type: object
      description: Resource was not found
      properties:
        exception_class:
          type: string
          description: NotFoundError
        message:
          type: string
          description: Description what was not found
        request_id:
          type: string
          description: Request ID, if logging is not in debug mode
      example:
        exception_class: NotFoundError
        message: keypair not found
        request_id: 4e3e63f3-4f2a-4720-bf18-2a1986531b87
    CreateGPUClusterInterfaceSerializer:
      discriminator:
        mapping:
          any_subnet:
            $ref: '#/components/schemas/CreateGPUClusterAnySubnetInterfaceSerializer'
          external:
            $ref: '#/components/schemas/CreateGPUClusterExternalInterfaceSerializer'
          subnet:
            $ref: '#/components/schemas/CreateGPUClusterSubnetInterfaceSerializer'
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/CreateGPUClusterExternalInterfaceSerializer'
        - $ref: '#/components/schemas/CreateGPUClusterSubnetInterfaceSerializer'
        - $ref: '#/components/schemas/CreateGPUClusterAnySubnetInterfaceSerializer'
      title: CreateGPUClusterInterfaceSerializer
    MandatoryIdSerializerPydantic:
      properties:
        id:
          description: Resource ID
          example: ae74714c-c380-48b4-87f8-758d656cdad6
          examples:
            - ae74714c-c380-48b4-87f8-758d656cdad6
          format: uuid4
          title: Id
          type: string
      required:
        - id
      title: MandatoryIdSchema schema
      type: object
    CreateTagsSerializer:
      description: >-
        A tag is a key-value pair that can be associated with a resource,

        enabling efficient filtering and grouping for better organization and
        management.

        Some tags are read-only and cannot be modified by the user.

        Tags are also integrated with cost reports, allowing cost data to be
        filtered based on tag keys or values.
      patternProperties:
        ^[^\s=]+$:
          description: >-
            Tag value. Maximum 255 characters. Cannot contain tabs, newlines,
            empty string or start/end with whitespace.
          example: my-tag-value
          examples:
            - my-tag-value
          maxLength: 255
          minLength: 1
          pattern: ^[^ \t\n\r\f\v]([^\t\n\r\f\v]*[^ \t\n\r\f\v])?$
          type: string
      propertyNames:
        description: >-
          Tag key. Maximum 255 characters. Cannot contain spaces, tabs,
          newlines, empty string or '=' character.
        examples:
          - my-tag
        maxLength: 255
        minLength: 1
      title: CreateTagsSerializer
      type: object
    CreateGPUClusterAnySubnetInterfaceSerializer:
      properties:
        floating_ip:
          $ref: '#/components/schemas/CreateGPUClusterFloatingIPSerializer'
          description: >-
            Allows the server to have a public IP that can be reached from the
            internet.
        interface_name:
          description: >-
            Interface name. Defaults to `null` and is returned as `null` in the
            API response if not set.
          maxLength: 37
          title: Interface Name
          type: string
        ip_address:
          description: You can specify a specific IP address from your subnet.
          format: ipvanyaddress
          title: Ip Address
          type: string
        ip_family:
          $ref: '#/components/schemas/InterfaceIPFamily'
          default: ipv4
          description: Specify `ipv4`, `ipv6`, or `dual` to enable both.
          examples:
            - ipv4
        network_id:
          description: The network where the server will be connected.
          format: uuid4
          title: Network Id
          type: string
        type:
          const: any_subnet
          description: >-
            Server will be attached to a subnet with the largest count of free
            IPs.
          title: Type
          type: string
      required:
        - type
        - network_id
      title: CreateGPUClusterAnySubnetInterfaceSerializer
      type: object
    CreateGPUClusterExternalInterfaceSerializer:
      properties:
        interface_name:
          description: >-
            Interface name. Defaults to `null` and is returned as `null` in the
            API response if not set.
          maxLength: 37
          title: Interface Name
          type: string
        ip_family:
          anyOf:
            - $ref: '#/components/schemas/InterfaceIPFamily'
            - type: 'null'
          default: ipv4
          description: Specify `ipv4`, `ipv6`, or `dual` to enable both.
        type:
          const: external
          description: A public IP address will be assigned to the server.
          title: Type
          type: string
      required:
        - type
      title: CreateGPUClusterExternalInterfaceSerializer
      type: object
    CreateGPUClusterSubnetInterfaceSerializer:
      properties:
        floating_ip:
          $ref: '#/components/schemas/CreateGPUClusterFloatingIPSerializer'
          description: Floating IP config for this subnet attachment
        interface_name:
          description: >-
            Interface name. Defaults to `null` and is returned as `null` in the
            API response if not set.
          maxLength: 37
          title: Interface Name
          type: string
        network_id:
          description: The network where the server will be connected.
          format: uuid4
          title: Network Id
          type: string
        subnet_id:
          description: The server will get an IP address from this subnet.
          format: uuid4
          title: Subnet Id
          type: string
        type:
          const: subnet
          description: >-
            The instance will get an IP address from the selected network. If
            you choose to add a floating IP, the instance will be reachable from
            the internet. Otherwise, it will only have a private IP within the
            network.
          title: Type
          type: string
      required:
        - type
        - network_id
        - subnet_id
      title: CreateGPUClusterSubnetInterfaceSerializer
      type: object
    CreateGPUClusterFloatingIPSerializer:
      properties:
        source:
          const: new
          title: Source
          type: string
      required:
        - source
      title: CreateGPUClusterFloatingIPSerializer
      type: object
    InterfaceIPFamily:
      enum:
        - dual
        - ipv4
        - ipv6
      title: InterfaceIPFamily
      type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````